Record Class ProcessamentoResumoDto
java.lang.Object
java.lang.Record
br.com.vantroba.bi.transporte.processamento.ProcessamentoResumoDto
- Record Components:
id- identificadorrecebidoEm- data/hora de recebimentonomeArquivo- nome do arquivo enviadostatus- status do processamentochecksumSha256- checksum SHA-256 do arquivoperiodoInicial- período inicial extraído do XLS (se já processado)periodoFinal- período final extraído do XLS (se já processado)tempoMs- duração do processamento em ms, se concluídoregistrosFaturamento- registros de faturamento gravadosregistrosMovimento- registros de movimento gravados
public record ProcessamentoResumoDto(Long id, LocalDateTime recebidoEm, String nomeArquivo, String status, String checksumSha256, LocalDate periodoInicial, LocalDate periodoFinal, Long tempoMs, Integer registrosFaturamento, Integer registrosMovimento)
extends Record
Linha da lista de processamentos (JTE e
GET /api/transporte/processamentos).-
Constructor Summary
ConstructorsConstructorDescriptionProcessamentoResumoDto(Long id, LocalDateTime recebidoEm, String nomeArquivo, String status, String checksumSha256, LocalDate periodoInicial, LocalDate periodoFinal, Long tempoMs, Integer registrosFaturamento, Integer registrosMovimento) Creates an instance of aProcessamentoResumoDtorecord class. -
Method Summary
Modifier and TypeMethodDescriptionReturns the value of thechecksumSha256record component.final booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.id()Returns the value of theidrecord component.Returns the value of thenomeArquivorecord component.Returns the value of theperiodoFinalrecord component.Returns the value of theperiodoInicialrecord component.Returns the value of therecebidoEmrecord component.Returns the value of theregistrosFaturamentorecord component.Returns the value of theregistrosMovimentorecord component.status()Returns the value of thestatusrecord component.tempoMs()Returns the value of thetempoMsrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
ProcessamentoResumoDto
public ProcessamentoResumoDto(Long id, LocalDateTime recebidoEm, String nomeArquivo, String status, String checksumSha256, LocalDate periodoInicial, LocalDate periodoFinal, Long tempoMs, Integer registrosFaturamento, Integer registrosMovimento) Creates an instance of aProcessamentoResumoDtorecord class.- Parameters:
id- the value for theidrecord componentrecebidoEm- the value for therecebidoEmrecord componentnomeArquivo- the value for thenomeArquivorecord componentstatus- the value for thestatusrecord componentchecksumSha256- the value for thechecksumSha256record componentperiodoInicial- the value for theperiodoInicialrecord componentperiodoFinal- the value for theperiodoFinalrecord componenttempoMs- the value for thetempoMsrecord componentregistrosFaturamento- the value for theregistrosFaturamentorecord componentregistrosMovimento- the value for theregistrosMovimentorecord component
-
-
Method Details
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
id
-
recebidoEm
Returns the value of therecebidoEmrecord component.- Returns:
- the value of the
recebidoEmrecord component
-
nomeArquivo
Returns the value of thenomeArquivorecord component.- Returns:
- the value of the
nomeArquivorecord component
-
status
-
checksumSha256
Returns the value of thechecksumSha256record component.- Returns:
- the value of the
checksumSha256record component
-
periodoInicial
Returns the value of theperiodoInicialrecord component.- Returns:
- the value of the
periodoInicialrecord component
-
periodoFinal
Returns the value of theperiodoFinalrecord component.- Returns:
- the value of the
periodoFinalrecord component
-
tempoMs
-
registrosFaturamento
Returns the value of theregistrosFaturamentorecord component.- Returns:
- the value of the
registrosFaturamentorecord component
-
registrosMovimento
Returns the value of theregistrosMovimentorecord component.- Returns:
- the value of the
registrosMovimentorecord component
-